Subject: UKTeX Digest V94 #36
From: [email-masked]
To: UKTeX Distribution: ;
Date: Fri, 30 Sep 1994 17:41:00 +0100

UKTeX Digest    Friday, 30 Sep 1994    Volume 94 : Issue 36

Today's Topics:
                            LaTeX training
            Problems building 600dpi HPLJ fonts with EmTeX
                   LaTeX: emphasis within emphasis
                line-breaking in mathematical formuli
             [Q] Increasing TeX parameters in unix TeX...
           Re: [Q] Increasing TeX parameters in unix TeX...

Administrivia:
    Moderators:     Peter Abbott (UK TeX Users Group) and
                    David Osborne (University of Nottingham)
    Contributions:  [email-masked]
    Subscription and unsubscription requests: [email-masked]
    (message body = "subscribe uktex" or "unsubscribe uktex", [no quotes])

----------------------------------------------------------------------

Date:    Fri, 16 Sep 1994 15:04:49 -0000
From:    Andrew Carrick <[email-masked]>
Subject: LaTeX training

I would be very interested in hearing from anyone who runs training courses
for novices on LaTeX. Equally, anyone who has participated in a training
course and would recommend their people to us would be appreciated. Since we
are London based, the closer to central London the better.

Appreciate your help.

Andrew Carrick                             e-mail: [email-masked]
UCL Press                                          tel +44 71 380 7707
Senior Editor - Science                            fax +44 71 413 8392

------------------------------

Date:    Fri, 16 Sep 1994 15:29:53 -0000
From:    [email-masked]
Subject: Problems building 600dpi HPLJ fonts with EmTeX

I have tried to remake all my fonts for our 600dpi HPLJ.  
After changing MODES.MFJ I tried MFJOB, but I get errors trying to write 
files.    My *guess* is that the environment is set up wrong (I have no TeX
environmental variables set in this instance).  Hints please.

Thanks,

Fergus

British National Space Centre
[email-masked]

===========================================================================
C:\EMTEX\MFJOB> mfjob all
This is METAFONT, Version 2.0 [3a] (no base preloaded)
**&plain \mode=hplaser; mag=1; input line10
(\emtex\mfinput\line10.mf (\emtex\mfinput\line.mf
! I can't write on file `line10.300gf'.
Please type another file name for output
! Emergency stop.
endchar->...roofrule);fi.chardx:=w;shipit;
                                          if.displaying>0:makebox(scr...
l.150 endchar
             ;
! I can't write on file `line10.tfm'.
Please type another file name for font metrics
! Emergency stop.
endchar->...roofrule);fi.chardx:=w;shipit;
                                          if.displaying>0:makebox(scr...
l.150 endchar
             ;
Transcript written on line10.log.
MFjob -- Version 1.1f -- Copyright (c) 1989-1990 by Eberhard Mattes
*** Error returned by `mf.exe': 3
===============================================================

------------------------------

Date:    Thu, 22 Sep 1994 14:47:15 -0000
From:    [email-masked]
Subject: LaTeX: emphasis within emphasis

The LaTeX standard classes implement \emph{...} and {\em...} as italic.
For `emphasis within emphasis', \emph{\emph{...}}, they revert to roman.
 
In certain types of passage, this can have the unfortunate effect of making
the *most important* text look *completely unimportant*.  E.g.,
            ... \emph{text text \emph{text text} text text} ...
looks the same to a reader as
            ... \emph{text text} text text \emph{text text} ...
 
I'm trying to produce a class file in which `emphasis within emphasis' is
implemented differently.  My current thinking is to try and implement it as
underlined italic.  (Yes, I know that the `Companion' says that
`underlining is considered bad practice in the publishing world'.  But [1]
`emphasis within emphasis' only occurs rarely, so the underlining would
only occur rarely [2] my British Telecom bills, which look professionally
designed, use underlining for `emphasis within italic' and it looks OK to
me [3] I can't offhand think of another neat way of indicating `emphasis
within italic' -- e.g., \uppercase{...} wouldn't emphasise acronyms, since
they are already uppercase.)
 
Unfortunately, I can't find a convenient bit of code to hack at.  The
fragment I found in latex.ltx is
   \DeclareRobustCommand\em
           {\@nomath\em \ifdim \fontdimen\@ne\font >\z@
                          \upshape \else \itshape \fi}
   \DeclareTextFontCommand{\emph}{\em}
which doesn't seem obviously hackable into something I could stick in a
class file to make \emph{\emph{...}} give underlined italic.  Donald
Arseneau's ulem package (`Companion', section 3.1.2) seems worth a look, in
case it would do what I want, but I can't find it in the Cambridge archive.
 
Could anyone point me to some code fragments that, when hacked together,
would enable me to put a chunk of code in a class file such that:
*  ordinary `emphasis' is mapped to italic, as in the standard classes
*  `emphasis within emphasis' is mapped to `underlined italic'?
Better still, has anyone already produced such a chunk of code?

David Rhead
[email-masked]

------------------------------

Date:    Fri, 23 Sep 1994 14:26:00 -0000
From:    [email-masked] (Alan Jeffrey)
Subject: line-breaking in mathematical formuli

>As I never want to allow a line break wthin a formula, I would like to
>change the definition of $ to include an mbox.
>I am using LaTeX, but a standard TeX approach might be more useful,
>because I could pass it on to some friends who use standard TeX.

Use \binoppenalty=10000 and \relpenalty=10000.  These are the
penalties for breaking around binary ops or relations, and setting
them to 10,000 disallows any line-breaking.  Using \mbox isn't a great
idea since it removes any stretchiness of the math formula.

Alan.

------------------------------

Date:    Tue, 27 Sep 1994 23:25:33 +0100
From:    [email-masked] (Tim Collins)
Subject: [Q] Increasing TeX parameters in unix TeX...

Hi! (Yes, it's me again!!!)

How do I increase the size of TeX parameters under Unix?  I have run
out of "strings"... that is I get a TeX errror...

! TeX capacity exceeded, sorry [number of strings=4463].

Can I change this parameter?  If so where can I do it?

I think we have a faily standard TeX setup here.... (I do hope
so!)....

Cheers!
Tim.
P.S. I looked in the FAQ, it told me to look in "module 11".  What on
earch is "module 11"?.

Timothy L D Collins     | [email-masked]
Physics Dept.           | [email-masked]
University of Leeds,    |
Leeds.                  | "Opinions expressed are just that: opinions!"

------------------------------

Date:    28 Sep 1994 09:30:01 +0000
From:    [email-masked] (Robin Fairbairns)
Subject: Re: [Q] Increasing TeX parameters in unix TeX...

In article <[email-masked]>,
Tim Collins <[email-masked]> wrote:
>Hi! (Yes, it's me again!!!)
>
>How do I increase the size of TeX parameters under Unix?  I have run
>out of "strings"... that is I get a TeX errror...
>
>! TeX capacity exceeded, sorry [number of strings=4463].
>
>Can I change this parameter?  If so where can I do it?
>
>I think we have a faily standard TeX setup here.... (I do hope
>so!)....

You need to rebuild your TeX system from the sources.  This is not
something for the faint-hearted, but if you know what you're doing
it's not too bad.

What's the context of the problem?  While it *is* possible to run out
of strings, it's fairly rare.  Can you post the (end of the) .log file
(which would tell us how `standard' your setup is -- ours here allows
11K strings).

>P.S. I looked in the FAQ, it told me to look in "module 11".  What on
>earch is "module 11"?.

Module 11 of the Web source for TeX.  If you looked at it, you'ld
understand.

Robin (Campaign for the Third Programme) Fairbairns  [email-masked]
U of Cambridge Computer Lab, Pembroke St, Cambridge  CB2 3QG, UK
Private page: http://www.cl.cam.ac.uk/users/rf/robin.html

------------------------------
                                        
                            UK TeX Archive
                         >>>  tex.ac.uk  <<<
         Part of the Comprehensive TeX Archive Network (CTAN)

                          tex.ac.uk -- mail
                           [[email-masked]]

                    ftp.tex.ac.uk -- anonymous ftp
        [username: anonymous, password: <your-e-mail-address>]

                  gopher.tex.ac.uk -- Gopher access

                www.tex.ac.uk -- World-Wide Web access
                [URL http://www.tex.ac.uk/tex-archive]

                     nfs.tex.ac.uk -- NFS access
               [nfs.tex.ac.uk:/public/ctan/tex-archive]

\section Files of Interest

    tex-archive/00Contents
    tex-archive/CTAN.sites
    tex-archive/FILES.bydate
    tex-archive/FILES.byname
    tex-archive/FILES.bysize
    tex-archive/MAP
    tex-archive/README.archive-features
    tex-archive/README.site-commands
    tex-archive/README.uploads

\section Digests

    This year's UKTeX back issues are stored in the archive in directory
      tex-archive/digests/uktex/94
    This year's TeXhax back issues are stored in the archive in directory
      tex-archive/digests/texhax/94
      Latest TeXhax: V94 #08

\section Media Distributions
    Postal addresses are given below.

\subsection Washington Unix TeX distribution tape
    Our latest copy of May/June 1991 contains:
    TeX 3.14, LaTeX 2.09, Metafont 2.7, plus many utilities
    suitable for Unix 4.2/4.3BSD & System V
    tar format, 1 file (36Mb)

    Send One Quarter-Inch Cartridge, QIC-120 or QIC-150 format
    (DC600A or DC6150) with envelope AND stamps for return
    postage to David Osborne (address below); regret that due to currency
    exchange difficulties, this service is offered only within the UK.

\section TeX Implementations for Small Computers

\subsection PC and Mac disks

    From January 1994 the UK TeX Users' Group is distributing an
    emTeX kit for PCs, and an OzTeX kit for Macintosh. The cost
    covers copying and postage costs, and the shareware fee for
    OzTeX.  Each set costs \pounds30, and is available from
    Peter Abbott, 1 Eymore Close, Selly Oak, Birmingham B29 4LB.
    Cheques must be payable to `UKTUG'. Please note that this
    service **is available to UKTUG members only.**

    Each set comes with an installation guide, and (at least)
    full TeX and Metafont, a previewer, a PostScript driver, and
    CM fonts. Two update disks a year will be sent out
    automatically, with the current version of LaTeXe, and other
    goodies. A subscription service will be available for
    subsequent years. In addition, subscribers can request up to
    3 disks a year with any material from the CTAN archives, but
    this will be supplied `as is', without instructions.

    OzTeX and emTeX are also available on disk from TeX Users Group;
    mail TUG for details.

\subsection TeX for the Atari ST

    Enquiries for TeX for the Atari ST etc. can be directed to:
    The Fast Club, 7 Musters Road, Nottingham NG2 7PP. Phone
    0602 455250, fax 0602 455305. They also supply a variety of
    TeX-related software in Atari format.

    Enquiries for disks etc. can also be directed to:
    The South West Software Library, P.O. Box 562, Wimborne, Dorset BH21 2YD
    Internet: [email-masked]

\section Postage Rates

    Quarter-inch cartridges: UK: GBP 1.00,  Europe: GBP 2.00.

\section Postal Addresses

    Please include SELF-ADDRESSED ADHESIVE LABELS for return postage.

    Peter Abbott
    1 Eymore Close, Selly Oak, Birmingham B29 4LB
    Internet: [email-masked]

    David Osborne
    Cripps Computing Centre, University of Nottingham, Nottingham NG7 2RD
    (for Unix cartridges ONLY -- MUST include stamps for return postage)
    Internet: [email-masked]

    TeX Users Group
    P.O. Box 869, Santa Barbara, CA 93102, USA.
    Internet: [email-masked]
    
\section UK TeX Users Group

    Details available from
    Jonathan Fine, 203 Coldhams Lane, Cambridge CB1 3HY, UK
    or from
    Internet: [email-masked]
    or from
    World-Wide Web server: http://www.tex.ac.uk/UKTUG/home.html

\bye

End of UKTeX Digest [Volume 94 Issue 36]
****************************************